<form class="{{cssClass}}" autocomplete="off">
    <style>
        :root {
            --main-text-color: {{getGameSetting "generalTextColor"}};
            --main-text-font: {{getGameSetting "generalTextFont"}};
        }
    </style>    
    {{!-- Sheet Header --}}
    {{> "systems/runequest/templates/actor/parts/character/actor-sheetheader.html"}}

    {{!-- Sheet Tab Navigation --}}
    <nav class="nav-sheet-tabs sheet-tabs tabs flexrow" data-group="primary">
        {{#if data.flags.locked}}
            <a class="unlock-character-sheet" title="{{localize 'RQG.UnlockSheet'}}"> <i class="fas fa-lock"></i> </a>
        {{else}}
            <a class="unlock-character-sheet" title="{{localize 'RQG.LockSheet'}}"> <i class="fas fa-lock-open"></i></a>
        {{/if}}
        <a class="item actor-item" data-tab="skills">{{localize 'RQG.Skills'}}</a>
        <a class="item actor-item" data-tab="combat">{{localize 'RQG.Combat'}}</a>
        <!--
        <a class="item" data-tab="herosoul">{{localize 'RQG.HEROSOUL'}}</a>
        -->
        <a class="item actor-item" data-tab="attributes">{{localize 'RQG.Runes'}}&nbsp;&amp;&nbsp;{{localize 'RQG.Passions'}}</a>

        <a class="item actor-item" data-tab="magic">{{localize 'RQG.Magic'}}</a>
        <!--
        <a class="item active" data-tab="summary">{{localize 'RQG.MainTab'}}</a>
        -->
        <a class="item actor-item" data-tab="description">{{localize 'RQG.Backstory'}}</a>
        <a class="item actor-item" data-tab="items">{{localize 'RQG.Items'}}</a>
        <a class="item actor-item" data-tab="activeeffects">Effects</a>
        {{#if isGM}}
            <a class="item actor-item" data-tab="gmtools">GM Tools</a>
        {{/if}}
    </nav>

    {{!-- Sheet Body --}}
    <section class="sheet-body section-padding"  style="grid-area:main;">
        {{!-- Summary Tab --}}
        <div  class="tab summary"  data-group="primary"  data-tab="summary">
            {{> "systems/runequest/templates/actor/parts/character/actor-summary.html"}}
        </div> 
        {{!-- Magic Tab --}}
        <div  class="tab magic"  data-group="primary"  data-tab="magic">
            {{> "systems/runequest/templates/actor/parts/character/actor-magic.html"}}
        </div>
        <div  class="tab summary"  data-group="primary"  data-tab="herosoul">
            {{> "systems/runequest/templates/actor/parts/character/actor-herosoul.html"}}
        </div>         
        {{!-- Combat Tab --}}
        <div  class="tab combat"  data-group="primary"  data-tab="combat">
            {{> "systems/runequest/templates/actor/parts/character/actor-combat.html"}}
        </div>
        {{!-- Skills Tab --}}
        <div  class="tab skills"  data-group="primary"  data-tab="skills">
            {{> "systems/runequest/templates/actor/parts/character/actor-skills.html"}}
        </div>

        {{!-- Biography Tab --}}
        <div class="tab biography" data-group="primary" data-tab="description">
            {{> "systems/runequest/templates/actor/parts/character/actor-backstory.html"}}            
        </div>

        {{!-- Owned Items Tab --}}
        <div class="tab items" data-group="primary" data-tab="items">
            {{> "systems/runequest/templates/actor/parts/character/actor-inventory.html"}}
        </div>
        {{!-- Attributes Tab --}}
        <div class="tab attributes" data-group="primary" data-tab="attributes">
            {{> "systems/runequest/templates/actor/parts/character/actor-runesandpassionsv2.html"}}
        </div>
        {{!-- Flags Tab --}}
        <div class="tab flags" data-group="primary" data-tab="flags">
            <ol class="skills-list">
            {{#each actor.flags as |scope scopekey|}}
                <div class="skill-category" data-skillcategory="{{skillcategory}}">
                    <li class="item flexrow item-header">
                        <div class="item-name">{{scopekey}}</div>
                        <!-- <div class="item-controls">
                            <a class="item-control item-create" title="Create item" data-type="skill" data-skillcategory="{{skillcategory}}"><i class="fas fa-plus"></i></a>
                        </div> -->
                    </li>
                    {{#each scope as |flag flagkey|}}
                        <li class="item flexrow" data-flag-key="{{flagkey}}">
                            <h4 class="item-name">{{flag}}</h4>
                            <!-- <div class="item-controls">
                                <a class="item-control item-edit" title="Edit Item"><i class="fas fa-edit"></i></a>
                                <a class="item-control item-delete" title="Delete Item"><i class="fas fa-trash"></i></a>
                            </div> -->
                        </li>
                    {{/each}}
                </div>
            {{/each}}
            </ol>
        </div>
        {{!-- Active Effects Tab --}}
        <div class="tab activeeffects" data-group="primary" data-tab="activeeffects">
            {{> "systems/runequest/templates/actor/parts/actor-activeeffectsv2.html"}}
        </div>
        {{!-- Active Effects Tab --}}
        <div class="tab activeeffects" data-group="primary" data-tab="gmtools">
            {{> "systems/runequest/templates/actor/parts/actor-gmtools.html"}}
        </div>        
    </section>
</form>

